<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Contact extends Model
{
    use HasFactory;
    
    protected $table = 'contacts'; // Assuming your table name is 'contacts'
    protected $primaryKey = 'contact_id';
    public $timestamps = false; // If you want to disable default created_at and updated_at timestamps

    protected $fillable = [
        'contact_id',
        'changed',
        'first_name',
        'surname',
        'email',
        'vcard',
        'words',
    ];

    // Define the data types for specific columns
    protected $casts = [
        'contact_id' => 'integer',
        'changed' => 'datetime:Y-m-d H:i:s',
    ];
    
    public function groups()
    {
        return $this->belongsToMany(Group::class, 'contactgroupmembers', 'contact_id', 'contactgroup_id');
    }
}
